#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xF7,0x3D,0x5A,0xD3,0xEC,0xD6,0x05,0xDA,0x7A,0xEA,0xA3,0x6B,
		0xE6,0x45,0xCF,0x56,0x41,0x7E,0x54,0x88,0x90,0x08,0xAB,0x1D,
		0xCC,0x11,0x5E,0x9C,0x92,0x0D,0x0D,0xFB,0xE9,0x35,0xC0,0x21,
		0xF3,0xA6,0x3A,0xE2,0x9E,0x66,0x34,0xF1,0x7D,0x2A,0xDC,0xA5,
		0x0D,0x45,0x6C,0x50,0xBB,0xA2,0x92,0x6E,0x39,0x77,0xBE,0x26,
		0x26,0xA3,0xD1,0x2B,
		};
	static unsigned char dh512_g[]={
		0x05,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
